Package org.jbpm.executor.impl.concurrent

## Class PrioritisedScheduledThreadPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - java.util.concurrent.ScheduledThreadPoolExecutor
      - - org.jbpm.executor.impl.concurrent.PrioritisedScheduledThreadPoolExecutor

- All Implemented Interfaces:
    `Executor`, `ExecutorService`, `ScheduledExecutorService`

      public class PrioritisedScheduledThreadPoolExecutor
      extends ScheduledThreadPoolExecutor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrioritisedScheduledThreadPoolExecutor​(int corePoolSize, ThreadFactory threadFactory)` |
    `PrioritisedScheduledThreadPoolExecutor​(int corePoolSize, ThreadFactory threadFactory, RejectedExecutionHandler handler)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancel​(Long requestId)` |
    `protected <V> RunnableScheduledFuture<V>` | `decorateTask​(Runnable runnable, RunnableScheduledFuture<V> task)` |
    `void` | `done​(Long requestId)` |
    `void` | `markAsPendingRetry​(Long requestId)` |
    `boolean` | `scheduleNoDuplicates​(Runnable command, long delay, TimeUnit unit)` |
    `void` | `shutdown()` |
    `List<Runnable>` | `shutdownNow()` |

    - ### Methods inherited from class java.util.concurrent.ScheduledThreadPoolExecutor

      `decorateTask, execute, getContinueExistingPeriodicTasksAfterShutdownPolicy, getExecuteExistingDelayedTasksAfterShutdownPolicy, getQueue, getRemoveOnCancelPolicy, schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay, setContinueExistingPeriodicTasksAfterShutdownPolicy, setExecuteExistingDelayedTasksAfterShutdownPolicy, setRemoveOnCancelPolicy, submit, submit, submit`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `afterExecute, allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated, toString`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `awaitTermination, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated`

- - ### Constructor Detail

    - #### PrioritisedScheduledThreadPoolExecutor

          public PrioritisedScheduledThreadPoolExecutor​(int corePoolSize,
                                                        ThreadFactory threadFactory,
                                                        RejectedExecutionHandler handler)

    - #### PrioritisedScheduledThreadPoolExecutor

          public PrioritisedScheduledThreadPoolExecutor​(int corePoolSize,
                                                        ThreadFactory threadFactory)

  - ### Method Detail

    - #### scheduleNoDuplicates

          public boolean scheduleNoDuplicates​(Runnable command,
                                              long delay,
                                              TimeUnit unit)

    - #### decorateTask

          protected <V> RunnableScheduledFuture<V> decorateTask​(Runnable runnable,
                                                                RunnableScheduledFuture<V> task)

      Overrides:
        `decorateTask` in class `ScheduledThreadPoolExecutor`

    - #### markAsPendingRetry

          public void markAsPendingRetry​(Long requestId)

    - #### cancel

          public void cancel​(Long requestId)

    - #### done

          public void done​(Long requestId)

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `ExecutorService`
      Overrides:
        `shutdown` in class `ScheduledThreadPoolExecutor`

    - #### shutdownNow

          public List<Runnable> shutdownNow()

      Specified by:
        `shutdownNow` in interface `ExecutorService`
      Overrides:
        `shutdownNow` in class `ScheduledThreadPoolExecutor`